Skip to content

List of held sales / List of drafts

GET
/v2/order-notes
curl --request GET \
--url 'https://api-admin.billz.ai/v2/order-notes?page=1&limit=5&shop_id=803b542d-51e5-41ea-9124-51f248536286&start_total_price=0&end_total_price=0&order_park_status=active%2Cexpired&shift_id=0&future_time_is_null=false' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Error codes: 400 — input validation error; 404 — object not found; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.

page
integer format: int32
default: 1

Page number; non-numeric value -> 400

Example
1
limit
integer format: int32
default: 10

Page size

Example
5
shop_id
string format: uuid

Shop; when non-empty, must be a UUID

Example
803b542d-51e5-41ea-9124-51f248536286
user_id
string format: uuid

Cashier

seller_id
string format: uuid

Seller

company_payment_type_id
string format: uuid

Payment type (singular)

start_total_price
number format: double
0

Receipt amount from

end_total_price
number format: double
0

Receipt amount to

order_park_status
Array<string>

Active, expired, completed; if empty and future_time_is_null=false — all three statuses are substituted

Example
[
"active",
"expired"
]
cashbox_id
string format: uuid

Cash register

shift_id
integer format: int64
0

Shift; when shift_id>0 and cashbox_id is set, a filter by shift open/close dates is applied

search
string

Search by sale id, customer or user

start_date
string

Creation date from

end_date
string

Creation date to

order_types
Array<string>

SALE, RETURN, EXCHANGE

future_time_is_null
string

String, not bool: the value “false” enables substitution of all park statuses

Example
false
stocktaking_shop_id
string

Stocktaking shop

last_update
string

Filter by last update date

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platform identifier. A static value is used for integrations.

Successful response

Media typeapplication/json
object
count

Total number of records

integer format: int32
orders

List of sales

Array<object>
nullable
object
id

Sale id

string
parent_id

Parent sale (on return)

string
company_id

Company id

string
order_number

Sale number

string
order_status

Sale status

string
order_detail

Details: customer, user, cashbox_name, cashbox_id, cashbox_history_id, shift_id, shop_id, shop, total_price, discount_value, discount_unit, has_discount, total_measurement_value, version_number, comment, created_at, created_at_utc, order_items, order_payments, with_cashback, returned_cashback, loyalty, gift_card_payment, is_authorized, has_certificate, has_voucher, promo_codes, without_cashback, user_has_auth_role, offline_order_validation_status, applied_on_cart, auth_client_cashback_withdrawal, has_payment_token, payment_token, rounding_operations

object
customer
object
user
object
id
string
name
string
first_name
string
last_name
string
cashbox_name
string
cashbox_id
string
cashbox_history_id
string
shift_id
integer
shop_id
string
shop
object
id
string
name
string
total_price
number
has_discount
boolean
total_products_measurement_value
number
total_sets_measurement_value
number
total_services_measurement_value
number
total_returned_measurement_value
number
comment
string
created_at
string
created_at_utc
string
with_cashback
number
returned_cashback
number
loyalty_balance_income
number
loyalty_balance_outcome
number
loyalty_payment
integer
not_loyalty_payment
integer
gift_card_payment
integer
is_authorized
boolean
has_certificate
boolean
has_voucher
boolean
promo_codes
Array<string>
nullable
without_cashback
boolean
user_has_auth_role
boolean
offline_order_validation_status
integer
applied_on_cart
boolean
auth_client_cashback_withdrawal
boolean
has_payment_token
boolean
payment_token
string
rounding_operations
Array<object>
nullable
object
order_type

SALE / RETURN / EXCHANGE

string
created_at

Creation date

string
deleted_at

Deletion date (epoch)

integer format: int64
created_at_utc

Creation date UTC

string
future_time

Held sale time

string
debt

Debt

string
nullable
customer_id

Customer

string
parent_order_debt

Parent sale debt

string
nullable
deleted

Deletion flag

boolean
deleted_by_user_id

Deleted by

string
deleted_by_user_name

Name of the user who deleted

string
webkassa_log_qty

Number of Webkassa logs

integer format: int32
epos_log_qty

Number of EPOS logs

integer format: int32
epos_logs

Fiscal logs

Array<string>
nullable
finished_at

Actual completion

string
display_finished_at

Displayed completion

string
sold_at

Sale date

string
display_sold_at

Displayed sale date

string
display_deleted_at

Displayed deletion date

string
order_debt_payments

Debt payments

Array<string>
nullable
park_status

Held sale status

string
exchange_disabled

Exchange is prohibited

boolean
total_remaining_debt_in_chain

Remaining debt along the chain

number format: double
total_remaining_softpos_payment

Remaining SoftPOS payment

number format: double
updated_at

Update date

string
has_insurance

Has insurance

boolean
insurance

Insurance

string
nullable
is_calculated
boolean
Examplegenerated
{
"count": 1,
"orders": [
{
"id": "example",
"parent_id": "example",
"company_id": "example",
"order_number": "example",
"order_status": "example",
"order_detail": {
"customer": {},
"user": {
"id": "example",
"name": "example",
"first_name": "example",
"last_name": "example"
},
"cashbox_name": "example",
"cashbox_id": "example",
"cashbox_history_id": "example",
"shift_id": 1,
"shop_id": "example",
"shop": {
"id": "example",
"name": "example"
},
"total_price": 1,
"has_discount": true,
"total_products_measurement_value": 1,
"total_sets_measurement_value": 1,
"total_services_measurement_value": 1,
"total_returned_measurement_value": 1,
"comment": "example",
"created_at": "example",
"created_at_utc": "example",
"with_cashback": 1,
"returned_cashback": 1,
"loyalty_balance_income": 1,
"loyalty_balance_outcome": 1,
"loyalty_payment": 1,
"not_loyalty_payment": 1,
"gift_card_payment": 1,
"is_authorized": true,
"has_certificate": true,
"has_voucher": true,
"promo_codes": [
"example"
],
"without_cashback": true,
"user_has_auth_role": true,
"offline_order_validation_status": 1,
"applied_on_cart": true,
"auth_client_cashback_withdrawal": true,
"has_payment_token": true,
"payment_token": "example",
"rounding_operations": [
{}
]
},
"order_type": "example",
"created_at": "example",
"deleted_at": 1,
"created_at_utc": "example",
"future_time": "example",
"debt": "example",
"customer_id": "example",
"parent_order_debt": "example",
"deleted": true,
"deleted_by_user_id": "example",
"deleted_by_user_name": "example",
"webkassa_log_qty": 1,
"epos_log_qty": 1,
"epos_logs": [
"example"
],
"finished_at": "example",
"display_finished_at": "example",
"sold_at": "example",
"display_sold_at": "example",
"display_deleted_at": "example",
"order_debt_payments": [
"example"
],
"park_status": "example",
"exchange_disabled": true,
"total_remaining_debt_in_chain": 1,
"total_remaining_softpos_payment": 1,
"updated_at": "example",
"has_insurance": true,
"insurance": "example",
"is_calculated": true
}
]
}